#!/usr/bin/perl
#
#td=12*k1*k3*taur
#cnst=12*k1(k2+k3)taur
#inc k3 up and dec k2 down for CT expt
#
$taur = 50;

$k1 = 4; # number of rotor periods in each K1 element
$k2=32;	# element w/no recoupling for CT
$k3=0;	#Initial recoupling time on last B element

$ktot = $k2 + $k3; #constant time

print"Tau_D(us)	K1	K2	K3\n";
for($k3 = 0; $k3 < $ktot+2; $k3 = $k3 + 2){

	$td = 12*($k1*$k3*$taur);  #dephasing/recoupling time

      printf" %-8.0f\t",$td;
      printf"%-3.0f\t %-3.0f\t %-3.0f\t\n", $k1, $k2, $k3;
	$k2 = $k2-2;
}
